%define		pkg	slide
Summary:	A flow control lib small enough to fit on in a slide presentation
Name:		nodejs-%{pkg}
Version:	1.1.5
Release:	1
License:	ISC
Group:		Development/Libraries
URL:		https://github.com/isaacs/node-slide
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	a44ea2a9e44641b75f199c8869912168
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A flow control lib small enough to fit on in a slide presentation.
Derived live at Oak.JS

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -a index.js package.json lib $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/%{pkg}
%changelog
* Wed Mar 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-slide.git;a=log;h=master

* Thu Mar 06 2014 Łukasz Kieś <kiesiu@pld-linux.org> 5fe3f20
- updated to 1.1.5
- correct license

* Sat Feb 16 2013 Aria <aredridel@pld-linux.org> 40d49f6
- Initial commit

